org.apache.storm.mqtt.common

## Class MqttOptions.Builder

- java.lang.Object
- - org.apache.storm.mqtt.common.MqttOptions.Builder

- Enclosing class:
    MqttOptions

      public static class MqttOptions.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MqttOptions` | `build()`
    `MqttOptions.Builder` | `cleanConnection(boolean cleanConnection)`
    `MqttOptions.Builder` | `connectAttemptsMax(long connectAttemptsMax)`
    `MqttOptions.Builder` | `password(String password)`
    `MqttOptions.Builder` | `qos(int qos)`
    `MqttOptions.Builder` | `reconnectAttemptsMax(long reconnectAttemptsMax)`
    `MqttOptions.Builder` | `reconnectBackOffMultiplier(double reconnectBackOffMultiplier)`
    `MqttOptions.Builder` | `reconnectDelay(long reconnectDelay)`
    `MqttOptions.Builder` | `reconnectDelayMax(long reconnectDelayMax)`
    `MqttOptions.Builder` | `topics(List<String> topics)`
    `MqttOptions.Builder` | `url(String url)`
    `MqttOptions.Builder` | `userName(String userName)`
    `MqttOptions.Builder` | `willPayload(String willPayload)`
    `MqttOptions.Builder` | `willQos(int qos)`
    `MqttOptions.Builder` | `willRetain(boolean retain)`
    `MqttOptions.Builder` | `willTopic(String willTopic)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### url

          public MqttOptions.Builder url(String url)

    - #### topics

          public MqttOptions.Builder topics(List<String> topics)

    - #### cleanConnection

          public MqttOptions.Builder cleanConnection(boolean cleanConnection)

    - #### willTopic

          public MqttOptions.Builder willTopic(String willTopic)

    - #### willPayload

          public MqttOptions.Builder willPayload(String willPayload)

    - #### willRetain

          public MqttOptions.Builder willRetain(boolean retain)

    - #### willQos

          public MqttOptions.Builder willQos(int qos)

    - #### reconnectDelay

          public MqttOptions.Builder reconnectDelay(long reconnectDelay)

    - #### reconnectDelayMax

          public MqttOptions.Builder reconnectDelayMax(long reconnectDelayMax)

    - #### reconnectBackOffMultiplier

          public MqttOptions.Builder reconnectBackOffMultiplier(double reconnectBackOffMultiplier)

    - #### reconnectAttemptsMax

          public MqttOptions.Builder reconnectAttemptsMax(long reconnectAttemptsMax)

    - #### connectAttemptsMax

          public MqttOptions.Builder connectAttemptsMax(long connectAttemptsMax)

    - #### userName

          public MqttOptions.Builder userName(String userName)

    - #### password

          public MqttOptions.Builder password(String password)

    - #### qos

          public MqttOptions.Builder qos(int qos)

    - #### build

          public MqttOptions build()

Copyright © 2019 The Apache Software Foundation. All rights reserved.